% Materialparameter

function mat=material(name)
ii=1;
mater(ii).name="Kupfer";
mater(ii).rho=0.0176e-6; %Ohm m
mater(ii).alpha20=3.93e-3; % 1/K
mater(ii).beta20=0.6e-6; % 1/K^2
mater(ii).eldichte=8.47e19*1e9; %1/m^ 3

ii=ii+1;
mater(ii).name="Silber";
mater(ii).rho=0.0165e-6; %Ohm m
mater(ii).alpha20=2.8e-3; % 1/K
mater(ii).beta20=0.7e-6; % 1/K^2
mater(ii).eldichte=5.86e19*1e9; %1/m^ 3

ii=ii+1;
mater(ii).name="Aluminium";
mater(ii).rho=0.0278e-6; %Ohm m
mater(ii).alpha20=3.77e-3; % 1/K
mater(ii).beta20=1.3e-6; % 1/K^2
mater(ii).eldichte=18.1e19*1e9; %1/m^ 3

ii=ii+1;
mater(ii).name="Messing";
mater(ii).rho=0.075e-6; %Ohm m
mater(ii).alpha20=1.6e-3; % 1/K
mater(ii).beta20=0;
mater(ii).eldichte=0e19*1e9; %1/m^ 3

ii=ii+1;
mater(ii).name="Konstantan";
mater(ii).rho=0.43e-6; %Ohm m
mater(ii).alpha20=0.01e-3; % 1/K
mater(ii).beta20=0;
mater(ii).eldichte=0e19*1e9; %1/m^ 3

ii=ii+1;
mater(ii).name="Eisen";
mater(ii).rho=0.0971e-6; %Ohm m
mater(ii).alpha20=5e-3; % 1/K
mater(ii).beta20=6e-6; % 1/K^2
mater(ii).eldichte=17e19*1e9; %1/m^ 3

ii=ii+1;
mater(ii).name="Stahl";
mater(ii).rho=0.69e-6; %Ohm m
mater(ii).alpha20=0.94e-3; % 1/K
mater(ii).beta20=6e-6; % 1/K^2
mater(ii).eldichte=17e19*1e9; %1/m^ 3

ii=ii+1;
mater(ii).name="Germanium";
mater(ii).rho=4.7e5*1e-6; %Ohm m
mater(ii).alpha20=0.0e-3; % 1/K
mater(ii).beta20=0e-6; % 1/K^2
mater(ii).eldichte=4.4e19; %1/m^ 3

ii=ii+1;
mater(ii).name="Silizium";
mater(ii).rho=2.3e9*1e-6; %Ohm m
mater(ii).alpha20=0.0e-3; % 1/K
mater(ii).beta20=0e-6; % 1/K^2
mater(ii).eldichte=1.45e16; %1/m^ 3

ii=ii+1;
mater(ii).name="GaAs";
mater(ii).rho=4.7e5*1e-6; %Ohm m
mater(ii).alpha20=0.0e-3; % 1/K
mater(ii).beta20=0e-6; % 1/K^2
mater(ii).eldichte=1.79e12; %1/m^ 3

for ii=1:length(mater)
  if (findstr(tolower(mater(ii).name),tolower(name))) 
    mat=mater(ii);
  end
end
end
