% Bestimmung der Äquivalenten Dreiecksdiderstände
% [R12,R13,R23] (Ausgabe) aus den Sternwiderständen
% [R1,R2,R3]. Die einzelne R dürfen in Zeilen angeordnet werden, 
% unterschiedliche R müssen in unterschiedlcihen Spalten stehen
%
% Beispielaufruf
% stern_dreieck([1 10;2 20;3 30])
% stern_dreieck([1 1 1 1 1;1 2 3 4 5;1 1 1 1 1])
%
function [rd] = stern_dreieck (r)
rd=[r(1,:)+r(2,:)+r(1,:).*r(2,:)./r(3,:);...
  r(1,:)+r(3,:)+r(1,:).*r(3,:)./r(2,:);...
  r(2,:)+r(3,:)+r(2,:).*r(3,:)./r(1,:)];
endfunction
